const componentName = 'customtzcld'; //TODO: Get it from the packages.json

export const TZCLD_URLS = {
  my_territories: 'tzcld-mes-territoires',
  my_territory_space: 'tzcld-mon-territoire',
  my_territory_infos: 'tzcld-presentation-territoire',
  my_territory_auto_eval: 'tzcld-auto-evaluation',
  my_territory_follow: 'tzcld-suivit',
}

export function path() {
  let path = ".";
  if(window.orbit) {
    let component = window.orbit.npm.find(e=>e.package==`@startinblox/custom-tzcld`);
    path = `https://cdn.skypack.dev/${component.package}@${component.version}/dist`;
    if(component.path) {
      path = component.path.replace('/index.js', '')
    }
  }
  return path;
}
export function community_uniq() {
  let uniq = "";
  if(window.orbit) {
    let component = window.orbit.components.find(e=>e.module==`djangoldp_community`);
    //console.log(component) ;
    if(component.uniq) {
      uniq = component.uniq
    }
  }
  return uniq;
}

export function coreVersion() {
  let coreUrl = "https://cdn.skypack.dev/@startinblox/core";
  if(window.orbit) {
    let core = window.orbit.npm.find(e=>e.package=='@startinblox/core');
    coreUrl += `@${core.version}`;
    if(core.path) {
      coreUrl = core.path;
    }
  }
  return coreUrl;
}

export function setupOrbit(component) {
  if(window.orbit) {
    component.localize = (key) => {
      return window.orbit.intl.t(`${componentName}.${key}`) || component.strings[key] || key;
    }
    component.getRoute = window.orbit.getRoute;
  } else {
    component.getRoute = () => componentName;
  }
}


export function uniq() {
  return Math.random().toString(16).slice(2);
}

export function findAncestor (el, cls) {
    while (el = el.parentElement)  {

      if (el.classList.contains(cls)) {
         return el;
      }
    }  
}

export function getIntId(url) {
  let parts = url.split('/');
  return parts.at(-2);
}
